OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelMap

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

Synopsis

- data PixelMapTarget
  - = IToI
  - | SToS
  - | IToR
  - | IToG
  - | IToB
  - | IToA
  - | RToR
  - | GToG
  - | BToB
  - | AToA
- class Storable c => PixelMapComponent c
- class PixelMap m where
  - withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)
  - withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO a
  - newPixelMap :: PixelMapComponent c => [c] -> IO (m c)
  - getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]
- data GLpixelmap a
- maxPixelMapTable :: GettableStateVar GLsizei
- pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)
- pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]
- pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]

# Documentation

data PixelMapTarget Source

Constructors

IToI |
SToS |
IToR |
IToG |
IToB |
IToA |
RToR |
GToG |
BToB |
AToA |

class Storable c => PixelMapComponent c Source

Instances

PixelMapComponent GLfloat |
PixelMapComponent GLuint |
PixelMapComponent GLushort |

class PixelMap m where Source

Methods

withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)Source

withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO aSource

newPixelMap :: PixelMapComponent c => [c] -> IO (m c)Source

getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]Source

Instances

PixelMap GLpixelmap |

data GLpixelmap a Source

Instances

PixelMap GLpixelmap |
Eq (GLpixelmap a) |
Ord (GLpixelmap a) |
Show (GLpixelmap a) |

maxPixelMapTable :: GettableStateVar GLsizei Source

pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)Source

pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]Source

Convenience state variable

pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]Source

Convenience state variable